<template>
  <div class="grid grid--board-game">
    <base-button
      @click="pick('paper')"
      class="paper"
      type="paper"
    ></base-button>
    <base-button
      @click="pick('lizard')"
      class="lizard"
      type="lizard"
    ></base-button>
    <base-button @click="pick('rock')" class="rock" type="rock"></base-button>
    <base-button
      @click="pick('scissors')"
      class="scissors"
      type="scissors"
    ></base-button>
    <base-button
      @click="pick('spock')"
      class="spock"
      type="spock"
    ></base-button>
  </div>
</template>

<script>
export default {
  emits: ["pick"],
  methods: {
    pick(e) {
      this.$emit("pick", e);
    },
  },
};
</script>

<style scoped>
.grid--board-game {
  --gap: 0;
  background: url(@/assets/bg-pentagon.svg) no-repeat;
  background-position: center;
  background-size: 70%;
  margin: auto;
  grid-template-columns: repeat(3, 7rem);
  grid-template-areas:
    "..... scissors ...."
    "spock ........ paper"
    "lizard  ........ rock";
}
@media (min-width: 56.25em) {
  .grid--board-game {
    grid-template-columns: auto;
    background-size: 100%;
  }
}
button {
  transform: scale(0.7);
}
@media (min-width: 56.25em) {
  button {
    transform: scale(1);
  }
}
.scissors {
  grid-area: scissors;
}
.paper {
  grid-area: paper;
  transform-origin: top center;
}
.rock {
  grid-area: rock;
  transform-origin: top left;
}
.lizard {
  grid-area: lizard;
  transform-origin: top right;
}
.spock {
  grid-area: spock;
  transform-origin: top left;
}
@media (min-width: 56.25em) {
  .paper {
    transform: translate(45px, -15px);
  }
  .rock {
    transform: translate(0px, 40px);
  }
  .lizard {
    transform: translate(25px, 40px);
  }
  .spock {
    transform: translate(-45px, -15px);
  }
}
</style>
